## dnsdist 2.0.0

=== debian/changelog ===
dnsdist (2.0.0-4) unstable; urgency=medium

  * d/rules: fix DEB_VERSION/DEB_VENDOR being empty

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Sep 2025 23:14:19 +0200

dnsdist (2.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 10:52:18 +0200

dnsdist (2.0.0-2) experimental; urgency=medium

  * Fix Build-Depends on systemd-dev
  * Use meson to build, instead of autotools

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 31 Jul 2025 00:52:27 +0200

dnsdist (2.0.0-1) experimental; urgency=medium

  * New upstream version 2.0.0

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 21 Jul 2025 20:28:28 +0200

dnsdist (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc2
  * d/watch: update tarball suffix
  * d/rules: disable dh_dwz as it breaks
  * Drop upstream applied patch
  * d/control: add Built-Using, Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Jul 2025 12:17:04 +0200

dnsdist (2.0.0~rc1-2) experimental; urgency=medium

  * Drop accidental B-D: architecture-is-64-bit

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 21:00:44 +0200

dnsdist (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream version 2.0.0~rc1
  * Simplify Build-Depends already satisfied in stable
  * Use lua5.3 on non-luajit archs, mirroring upstream
  * Build-Depend: python3-yaml, necessary now
  * Build with rust, enable yaml config
  * Remove libh2o leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 12 Jul 2025 15:50:09 +0200
