=== debian/changelog ===
dnsdist (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1, includes fix for CVE-2025-30187
    Closes: #1115643
  * Drop upstream-applied patch

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 17:35:43 +0200

dnsdist (2.0.0-6) unstable; urgency=medium

  * d/copyright: Remove old FSF address

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Sep 2025 13:17:29 +0200

dnsdist (2.0.0-5) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * d/rules: drop CARGO_REGISTRY, improves Static-Built-Using

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Sep 2025 17:10:24 +0200
