=== debian/control ===
Source: dnsdist
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: dnsdist packagers <dnsdist@packages.debian.org>
Uploaders:
 Chris Hofstaedtler <zeha@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 dpkg-dev (>= 1.22.5),
 cargo,
 libboost-all-dev,
 libbpf-dev,
 libcap-dev [linux-any],
 libcdb-dev,
 libedit-dev,
 libfstrm-dev,
 liblmdb-dev,
 libluajit-5.1-dev [amd64 arm64] | liblua5.3-dev,
 libnghttp2-dev,
 libprotobuf-dev,
 libre2-dev,
 librust-cxx-build-dev (>= 1.0.130-1~),
 librust-cxx-dev (>= 1.0.130-1~),
 librust-serde-derive-dev,
 librust-serde-dev,
 librust-serde-yaml-dev (>= 0.9.34~),
 libsnmp-dev,
 libsodium-dev,
 libssl-dev,
 libsystemd-dev,
 libxdp-dev,
 meson,
 pkgconf,
 protobuf-compiler,
 python3-yaml,
 ragel,
 systemd,
 systemd-dev | systemd (<< 257),
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/debian/dnsdist.git
Vcs-Browser: https://salsa.debian.org/debian/dnsdist
Homepage: https://dnsdist.org
Rules-Requires-Root: no

Package: dnsdist
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: DNS loadbalancer
 Highly DoS- and abuse-aware load balancing tool for DNS traffic,
 with Lua scripting and configuration capability.
 Can be configured to use various sets of rules to classify, route
 and reject traffic.
