=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,versionmangle=s/-/~/ https://downloads.powerdns.com/releases/ dnsdist-([0-9]+.*)\.tar\.xz debian uupdate
