=== debian/changelog ===
dnsdist (2.0.2-1build1) resolute; urgency=medium

  * No change rebuild with the new libabsl soname

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Mar 2026 12:24:46 +0100

dnsdist (2.0.2-1) unstable; urgency=medium

  * Add Recommends: ca-certificates so DoT can perform cert validation
  * Add X-Style: black
  * Build with GnuTLS again
  * New upstream version 2.0.2
  * Fix build with protobuf enabled

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Dec 2025 16:12:17 +0100
