=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  libcdb-dev,
  libedit-dev,
  libfstrm-dev,
+ libgnutls28-dev,
  liblmdb-dev,
  libluajit-5.1-dev [amd64 arm64] | liblua5.3-dev,
  libnghttp2-dev,
@@ -43,6 +44,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/dnsdist
 Homepage: https://dnsdist.org
 Rules-Requires-Root: no
+X-Style: black
 
 Package: dnsdist
 Architecture: any
@@ -52,6 +54,8 @@
  adduser,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ ca-certificates,
 Built-Using:
  ${cargo:Built-Using},
 Static-Built-Using:
